import { PDFViewer } from 'pdfjs-dist/types/web/pdf_viewer';
import { GhostHighlight, Highlight, HighlightBindings } from '../types';
/**
 * The props type for HighlightLayer.
 */
export interface HighlightLayerProps {
    highlightsByPage: {
        [pageNumber: number]: Array<Highlight | GhostHighlight>;
    };
    pageNumber: number;
    scrolledToHighlightId?: string | null;
    viewer: PDFViewer;
    highlightBindings: HighlightBindings;
    onElementContextMenu?: (event: MouseEvent, highlight: any) => void;
}
/**
 * A class responsible for managing all the highlights and ghost highlights
 * for a single page of a PDF document.
 */
export declare class HighlightLayer {
    private highlightsByPage;
    private pageNumber;
    private scrolledToHighlightId?;
    private viewer;
    private highlightBindings;
    private children;
    private onElementContextMenu?;
    constructor(props: HighlightLayerProps);
    render(): void;
}
