import { PDFDocumentProxy } from 'pdfjs-dist';
import { GhostHighlight, Highlight, PdfScaleValue, PdfSelection, ViewportHighlight } from '../types';
import { PdfHighlighterUtils } from '../contexts/PdfHighlighterContext';
interface PdfHighlighterProps {
    containerRef: HTMLDivElement | null;
    highlights: Array<Highlight>;
    onScrollAway?(): void;
    pdfScaleValue?: PdfScaleValue;
    onSelection?(PdfSelection: PdfSelection): void;
    onCreateGhostHighlight?(ghostHighlight: GhostHighlight): void;
    onRemoveGhostHighlight?(ghostHighlight: GhostHighlight): void;
    selectionTip?: any;
    enableAreaSelection?(event: MouseEvent): boolean;
    mouseSelectionStyle?: any;
    pdfDocument: PDFDocumentProxy;
    children: any;
    textSelectionColor?: string;
    style?: any;
    onElementContextMenu?(event: MouseEvent, highlight: ViewportHighlight): void;
}
declare class PdfHighlighter {
    #private;
    private props;
    private tip;
    private isViewerReady;
    private highlightBindingsRef;
    private ghostHighlightRef;
    private selectionRef;
    private scrolledToHighlightIdRef;
    private isAreaSelectionInProgressRef;
    private isEditInProgressRef;
    private updateTipPositionRef;
    private eventBusRef;
    private linkServiceRef;
    private resizeObserverRef;
    private viewerRef;
    private mouseSelectionComponent;
    constructor(props: PdfHighlighterProps);
    private initializeViewer;
    private handleMouseUp;
    isEditingOrHighlighting: () => boolean;
    removeGhostHighlight: () => void;
    toggleEditInProgress: (flag?: boolean) => void;
    scrollToHighlight: (highlight: Highlight) => void;
    pdfHighlighterUtils: PdfHighlighterUtils;
    private handleScroll;
    private renderHighlightLayer;
    scrollTo: (highlight: Highlight) => void;
    renderHighlightLayers: () => void;
    private handleScaleValue;
    private handleKeyDown;
    initialize(): void;
}
export { PdfHighlighter };
